function MakeTable(collection, title, headerSpan, parentId){
    var parent = document.getElementById(parentId);
    var tbl  = document.createElement('table');
    
    tbl.setAttribute('class', 'info_table');
    
    // Make title
    var titleRow = tbl.insertRow();
    var headerCell = document.createElement("TH");
    headerCell.setAttribute('colSpan', headerSpan);

    headerCell.appendChild(document.createTextNode(title));
    titleRow.appendChild(headerCell);

    for(var item in collection){
        var tr = tbl.insertRow();
        var currentItem = collection[item];
        for(var field in currentItem){
            var td = tr.insertCell();
            td.innerHTML = currentItem[field];
        }
    }
    parent.appendChild(tbl);
}
