#!/bin/bash

PATH="$PATH:/usr/sbin"
MODEL=$(cat /opt/anritsu/data/identity/model)

if ! authorized "$REMOTE_ADDR"
then
    echo -e "<!DOCTYPE html>"
    echo -e "<html>"
    echo -e "<h1>Secure Mode Enabled ($MODEL)</h1>"
    echo -e "<p>Secure mode is enabled for this instrument and you do not currently have access.</p>"
    echo -e "<p>Your current IP address is $REMOTE_ADDR. To access the web interface, your computer must authenticate.</p>"
    echo -e "</html>"
else
    cat index.html
fi

